Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.service
Class PricingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.bea.commerce.ebusiness.price.service.PricingException

All Implemented Interfaces
  MessageCatalogException, Serializable

Direct Known Subclasses:
  PriceEngineException

Deprecated

    @Deprecated
    public class PricingException

extends ApplicationException

A PricingException indicates a failure of the price service during a pricing operation.

See Also
  `PriceService`, Serialized Form

Field Summary
`static String` | `MESSAGE_KEY` Deprecated
`static String` | `MESSAGE_NAMESPACE` Deprecated The name of the resource bundle

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`PricingException(Object argument)` Deprecated Constructs a new exception with the message indicated by the specified object.
`PricingException(String messageKey)` Deprecated Constructs a new message using the specified catalog message key.
`PricingException(String messageKey, Exception exception)` Deprecated Class constructor taking key of the associated catalog message and an embedded exception.
`PricingException(String messageKey, Object argument)` Deprecated Class constructor taking key of the associated catalog message and a message parameter substitution argument.
`PricingException(String messageKey, Object[] arguments)` Deprecated Class constructor taking key of the associated catalog message and message parameter substitution arguments.
`PricingException(String messageKey, Object[] arguments, Exception exception)` Deprecated Constructs a new exception with the specified key and applys the specifed arguments to the catalog message.
`PricingException(String messageKey, Object argument, Exception exception)` Deprecated Constructs a new exception with the specified key and applys the specifed argument to the catalog message.

Method Summary

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MESSAGE_NAMESPACE

    public static final String MESSAGE_NAMESPACE

  Deprecated
  The name of the resource bundle

  See Also
    Constants Summary

### MESSAGE_KEY

    public static final String MESSAGE_KEY

  Deprecated
  See Also
    Constants Summary

Constructor Detail

### PricingException

    public PricingException(Object argument)

  Deprecated
  Constructs a new exception with the message indicated by the specified object.

  Parameters
    `argument` - message object for the exception.

### PricingException

    public PricingException(String messageKey)

  Deprecated
  Constructs a new message using the specified catalog message key.

  Parameters
    `messageKey` - The catalog message key to use to construct the exception.

### PricingException

    public PricingException(String messageKey,
                            Exception exception)

  Deprecated
  Class constructor taking key of the associated catalog message and an embedded exception.

  Parameters
    `messageKey` - The catalog message key to use to construct the exception.
    `exception` - the exception to be wrapped by the PricingException.

### PricingException

    public PricingException(String messageKey,
                            Object argument,
                            Exception exception)

  Deprecated
  Constructs a new exception with the specified key and applys the specifed argument to the catalog message. The new exception is wrapped around the specified exception

  Parameters
    `messageKey` - The catalog message key to use to construct the exception.
    `argument` - an argument to the catalog message.
    `exception` - the exception to be wrapped by the PricingException.

### PricingException

    public PricingException(String messageKey,
                            Object[] arguments,
                            Exception exception)

  Deprecated
  Constructs a new exception with the specified key and applys the specifed arguments to the catalog message. The new exception is wrapped around the specified exception

  Parameters
    `messageKey` - The catalog message key to use to construct the exception.
    `arguments` - an array of arguments to the catalog message.
    `exception` - the exception to be wrapped by the PricingException.

### PricingException

    public PricingException(String messageKey,
                            Object argument)

  Deprecated
  Class constructor taking key of the associated catalog message and a message parameter substitution argument.

  Parameters
    `messageKey` - The catalog message key to use to construct the exception.
    `argument` - an argument to the catalog message.

### PricingException

    public PricingException(String messageKey,
                            Object[] arguments)

  Deprecated
  Class constructor taking key of the associated catalog message and message parameter substitution arguments.

  Parameters
    `messageKey` - The catalog message key to use to construct the exception.
    `arguments` - an array of arguments to the catalog message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.